From 711a3299851cde9ce00b5ff2962f20cdc1796e72 Mon Sep 17 00:00:00 2001
From: rir <rirans@comcast.net>
Date: Wed, 29 Sep 2021 19:06:01 -0400
Subject: [PATCH] Correction to docs of FETCH and MOVE. "empty or" is unusual
 and redundant in synopsis phrase. Fix syntax in synopses of FETCH and MOVE
 for sql and plpgsql.

---
 doc/src/sgml/plpgsql.sgml   | 4 ++--
 doc/src/sgml/ref/fetch.sgml | 4 ++--
 doc/src/sgml/ref/move.sgml  | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index 4cd4bcba80..1cadec3dc4 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -3342,7 +3342,7 @@ BEGIN
      <title><literal>FETCH</literal></title>
 
 <synopsis>
-FETCH <optional> <replaceable>direction</replaceable> { FROM | IN } </optional> <replaceable>cursor</replaceable> INTO <replaceable>target</replaceable>;
+FETCH <optional> <replaceable>direction</replaceable> </optional> <optional> FROM | IN </optional> <replaceable>cursor</replaceable> INTO <replaceable>target</replaceable>;
 </synopsis>
 
     <para>
@@ -3399,7 +3399,7 @@ FETCH RELATIVE -2 FROM curs4 INTO x;
      <title><literal>MOVE</literal></title>
 
 <synopsis>
-MOVE <optional> <replaceable>direction</replaceable> { FROM | IN } </optional> <replaceable>cursor</replaceable>;
+MOVE <optional> <replaceable>direction</replaceable> </optional> <optional> FROM | IN </optional> <replaceable>cursor</replaceable>;
 </synopsis>
 
     <para>
diff --git a/doc/src/sgml/ref/fetch.sgml b/doc/src/sgml/ref/fetch.sgml
index ec843f5684..5e19531742 100644
--- a/doc/src/sgml/ref/fetch.sgml
+++ b/doc/src/sgml/ref/fetch.sgml
@@ -27,9 +27,9 @@ PostgreSQL documentation
  <refsynopsisdiv>
 <!-- Note the "direction" bit is also in ref/move.sgml -->
 <synopsis>
-FETCH [ <replaceable class="parameter">direction</replaceable> [ FROM | IN ] ] <replaceable class="parameter">cursor_name</replaceable>
+FETCH [ <replaceable class="parameter">direction</replaceable> ] [ FROM | IN ] <replaceable class="parameter">cursor_name</replaceable>
 
-<phrase>where <replaceable class="parameter">direction</replaceable> can be empty or one of:</phrase>
+<phrase>where <replaceable class="parameter">direction</replaceable> can one of:</phrase>
 
     NEXT
     PRIOR
diff --git a/doc/src/sgml/ref/move.sgml b/doc/src/sgml/ref/move.sgml
index 4c7d1dca39..c4d859d7b0 100644
--- a/doc/src/sgml/ref/move.sgml
+++ b/doc/src/sgml/ref/move.sgml
@@ -27,9 +27,9 @@ PostgreSQL documentation
  <refsynopsisdiv>
 <!-- Note the "direction" bit is also in ref/fetch.sgml -->
 <synopsis>
-MOVE [ <replaceable class="parameter">direction</replaceable> [ FROM | IN ] ] <replaceable class="parameter">cursor_name</replaceable>
+MOVE [ <replaceable class="parameter">direction</replaceable> ] [ FROM | IN ] <replaceable class="parameter">cursor_name</replaceable>
 
-<phrase>where <replaceable class="parameter">direction</replaceable> can be empty or one of:</phrase>
+<phrase>where <replaceable class="parameter">direction</replaceable> can one of:</phrase>
 
     NEXT
     PRIOR
-- 
2.20.1

